DEVXOREXPR(3)

NAME
devXorExpr - removes XOR in an expression

SYNOPSYS
#include "logmmm.h"
chain_list *devXorExpr(expr)
chain_list *expr;

PARAMETER

expr
    expression to convert

DESCRIPTION
devXorExpr() removes XOR in expr by recursively calling the devXor2Expr() function.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
/* let's suppose that expr1 = (XOR a b c) */
expr2 = devXorExpr(expr1);
displayExpr(expr2);
/* it will display
(OR (AND (NOT a) (OR (AND b (NOT c)) (AND (NOT b) c)))
    (AND a (NOT (OR (AND b (NOT c)) (AND (NOT b) c)))))
*/
freeExpr(expr1);
freeExpr(expr2);

SEE ALSO
log(1), abl(1), devXor2Expr(3), simplifNotExpr(3), notExpr(3), flatPolarityExpr(3), flatArityExpr(3), sortExpr(3), normExpr(3).